<div class="side-door-client-search-result">
  <app-content-banner [isDashboard]="false" pageName="Add Tenant"></app-content-banner>
  <mat-card class="sdcsr-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
          <p class="banner-header">Agency/Site Details:</p>
          <div fxLayout="column" fxLayoutGap="5px" class="sidedoor-stat-banner">
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                <div class="stats"><span><b>Agency Name: </b>{{trSelected.hpAgencyNo + ' - ' + trSelected.hpAgencyName}}</span></div>
                <div class="stats"><span><b>Site Name: </b>{{trSelected.hpSiteNo + ' - ' + trSelected.hpSiteName}}</span></div>
                <div class="stats"><span><b>Unit#: </b>{{trSelected.unitName}}</span></div>
                <div class="stats"><span><b>Primary Service Contract Type: </b>{{trSelected.agreementTypeDescription}}</span></div>
            </div>
          </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Client Search</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
                <div class="search-result">
                  <p class="search-result-header">Search Results:</p>
                  <p class="banner-header">Client Details:</p>
                  <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px" class="banner-details">
                    <span class="details-text"><b>First Name: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.firstName) : ''}}</span></span>
                    <span class="details-text"><b>Last Name: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.lastName) : ''}}</span></span>
                    <span class="details-text"><b>SSN: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? sideDoorClientSearchResult.sideDoorClient.ssn.substr(5, 4): ''}}</span></span>
                    <span class="details-text"><b>HRA Client ID: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.clientID) : ''}}</span></span>
                    <span class="details-text"><b>DOB: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.dob) : ''}}</span></span>
                  </div>
                  <p class="banner-header">Referral Details:</p>
                  <div fxLayout="column" fxLayoutGap="5px" class="banner-details">
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                      <div class="details-text"><b>ReferringAgency: </b><span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.raAgencyNo + ' - ' + sideDoorClientSearchResult.sideDoorClientReferral.raAgencyName) : ''}}</span></div>
                      <div class="details-text"><b>Eligibility: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.eligibility) : ''}}</span></div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                      <div class="details-text"><b>Referal Date: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.referralDate) : ''}}</span></div>
                      <div class="details-text"><b>Placement Criteria: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.placementCriteria) : ''}}</span></div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                      <div class="details-text"><b>Prioritization: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.svaPrioritization) : ''}}</span></div>
                      <div class="details-text"><b>ServiceNeeds: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.serviceNeeds) : ''}}</span></div>
                    </div>
                  </div>
                  <div class="btn-section" fxLayout="row">
                    <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
                      <button type="button" routerLink="/vcs/tenant-roster/side-door-client-search" mat-raised-button color="warn">Start New Search</button>
                      <button type="button" (click)="onProceedClicked()" mat-raised-button color="primary">Proceed</button>
                      <button type="button" (click)="onExitClick()" mat-raised-button color="primary">Exit</button>
                    </span>
                  </div>
                </div>
            </div>

          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
